Package org.kapott.hbci.passport

# Class HBCIPassportAnonymous

java.lang.Object
org.kapott.hbci.passport.AbstractHBCIPassport
org.kapott.hbci.passport.HBCIPassportAnonymous

All Implemented Interfaces:
  `Serializable`, `HBCIPassport`, `HBCIPassportInternal`

public class HBCIPassportAnonymous extends AbstractHBCIPassport

Passport-Implementation für anonyme Zugänge. Bei dieser Passport-Variante handelt es sich nicht um einen "echten" HBCI-Zugang. Statt dessen handelt es sich hierbei um einen anonymen Zugang, wie er von einigen wenigen Banken angeboten wird. Bei einem anonymen Zugang werden die Nachrichten nicht kryptographisch gesichert (also keine Signaturen und keine Verschlüsselung). Aus diesem Grund können mit diesem Zugang maximal die Geschäftsvorfälle abgewickelt werden, die keine Signatur benötigten (z.B. Gastmeldung an Bank senden).

Beim Einrichten eines solchen Passport-Objektes werden also keine Nutzer- bzw. Kunden-Kennungen abgefragt (diese sind automatisch auf die Kennungen für den anonymen Zugang eingestellt). Außerdem findet keine Synchronisierung der Schlüssel zwischen Bank und Kunde statt, da bei dieser Zugangsform keine Schlüssel verwendet werden.

Eine HBCI-Anwendung kann ein Anonymous-Passport genauso verwenden wie ein "normales" Passport. Alle Abweichungen, die bei der Durchführung anonymer Dialoge zu beachten sind, werden völlig transparent von HBCI4Java umgesetzt.

Gegenwärtig können mit Anonymous-Passports noch keine anonymen Geschäftsvorfälle ausgelöst werden. Diese Passport-Variante kann also nur für einen "leeren" HBCI-Dialog verwendet werden, der aus (anonymer) Dialog-Initialisierung und (anonymem) Dialog-Ende besteht. Damit kann zumindest die Verfügbarkeit des HBCI-Servers bzw. von anonymen Zugängen überprüft werden.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`KEY_EXTERNAL_ID, KEY_VOP_RESULT`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

## Constructor Summary

Constructors
Constructor
Description
`HBCIPassportAnonymous(Object initObject)`
ct.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`decrypt(byte[] parm1, byte[] parm2)`
`byte[][]`
`encrypt(byte[] parm1)`
`Comm`
`getCommInstance()`
`String`
`getCryptAlg()`
`String`
`getCryptFunction()`
`String`
`getCryptKeyType()`
`String`
`getCryptMode()`
`String`
`getFileName()`
Liefert den Dateinamen.
`String`
`getHashAlg()`
`HBCIKey`
`getInstEncKey()`
`String`
`getInstEncKeyName()`
`String`
`getInstEncKeyNum()`
`String`
`getInstEncKeyVersion()`
`HBCIKey`
`getInstSigKey()`
`String`
`getInstSigKeyName()`
`String`
`getInstSigKeyNum()`
`String`
`getInstSigKeyVersion()`
`String`
`getMyEncKeyName()`
`String`
`getMyEncKeyNum()`
`String`
`getMyEncKeyVersion()`
`HBCIKey`
`getMyPrivateDigKey()`
`HBCIKey`
`getMyPrivateEncKey()`
`HBCIKey`
`getMyPrivateSigKey()`
`HBCIKey`
`getMyPublicDigKey()`
`HBCIKey`
`getMyPublicEncKey()`
`HBCIKey`
`getMyPublicSigKey()`
`String`
`getMySigKeyName()`
`String`
`getMySigKeyNum()`
`String`
`getMySigKeyVersion()`
`String`
`getPassportTypeName()`
`String`
`getProfileMethod()`
`String`
`getProfileVersion()`
`String`
`getSigAlg()`
`String`
`getSigFunction()`
`String`
`getSigMode()`
`String`
`getSysStatus()`
`byte[]`
`hash(byte[] data)`
`boolean`
`hasInstEncKey()`
`boolean`
`hasInstSigKey()`
`boolean`
`hasMyEncKey()`
`boolean`
`hasMySigKey()`
`boolean`
`isAnonymous()`
`boolean`
`isSupported()`
`boolean`
`needInstKeys()`
`boolean`
`needUserKeys()`
`boolean`
`needUserSig()`
`void`
`resetPassphrase()`
`void`
`saveChanges()`
Speichern der Änderungen an den Passport-Daten.
`void`
`setInstEncKey(HBCIKey key)`
`void`
`setInstSigKey(HBCIKey key)`
`void`
`setMyPrivateDigKey(HBCIKey key)`
`void`
`setMyPrivateEncKey(HBCIKey key)`
`void`
`setMyPrivateSigKey(HBCIKey key)`
`void`
`setMyPublicDigKey(HBCIKey key)`
`void`
`setMyPublicEncKey(HBCIKey key)`
`void`
`setMyPublicSigKey(HBCIKey key)`
`byte[]`
`sign(byte[] data)`
`boolean`
`verify(byte[] parm1, byte[] parm2)`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, generateNewUserKeys, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, onDialogEvent, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIPassportAnonymous

public HBCIPassportAnonymous(Object initObject)
ct.

Parameters:
  `initObject` -

## Method Details

### getPassportTypeName

public String getPassportTypeName()

See Also:
  - `HBCIPassportInternal.getPassportTypeName()`

### setMyPublicDigKey

public void setMyPublicDigKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPublicDigKey(org.kapott.hbci.manager.HBCIKey)`

### getSigFunction

public String getSigFunction()

See Also:
  - `HBCIPassportInternal.getSigFunction()`

### getProfileMethod

public String getProfileMethod()

See Also:
  - `HBCIPassportInternal.getProfileMethod()`

### needUserKeys

public boolean needUserKeys()

See Also:
  - `HBCIPassport.needUserKeys()`

### getInstEncKey

public HBCIKey getInstEncKey()

See Also:
  - `HBCIPassport.getInstEncKey()`

### getMyEncKeyVersion

public String getMyEncKeyVersion()

See Also:
  - `HBCIPassportInternal.getMyEncKeyVersion()`

### getMySigKeyNum

public String getMySigKeyNum()

See Also:
  - `HBCIPassportInternal.getMySigKeyNum()`

### getCryptMode

public String getCryptMode()

See Also:
  - `HBCIPassportInternal.getCryptMode()`

### needInstKeys

public boolean needInstKeys()

See Also:
  - `HBCIPassport.needInstKeys()`

### getSigAlg

public String getSigAlg()

See Also:
  - `HBCIPassportInternal.getSigAlg()`

### getSigMode

public String getSigMode()

See Also:
  - `HBCIPassportInternal.getSigMode()`

### encrypt

public byte[][] encrypt(byte[] parm1)

See Also:
  - `HBCIPassportInternal.encrypt(byte[])`

### getInstSigKeyVersion

public String getInstSigKeyVersion()

See Also:
  - `HBCIPassportInternal.getInstSigKeyVersion()`

### setInstSigKey

public void setInstSigKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setInstSigKey(org.kapott.hbci.manager.HBCIKey)`

### getCryptKeyType

public String getCryptKeyType()

See Also:
  - `HBCIPassportInternal.getCryptKeyType()`

### getMySigKeyName

public String getMySigKeyName()

See Also:
  - `HBCIPassportInternal.getMySigKeyName()`

### getMySigKeyVersion

public String getMySigKeyVersion()

See Also:
  - `HBCIPassportInternal.getMySigKeyVersion()`

### getMyPublicEncKey

public HBCIKey getMyPublicEncKey()

See Also:
  - `HBCIPassport.getMyPublicEncKey()`

### needUserSig

public boolean needUserSig()

See Also:
  - `HBCIPassportInternal.needUserSig()`

### getMyPublicDigKey

public HBCIKey getMyPublicDigKey()

See Also:
  - `HBCIPassport.getMyPublicDigKey()`

### setMyPrivateEncKey

public void setMyPrivateEncKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPrivateEncKey(org.kapott.hbci.manager.HBCIKey)`

### getCommInstance

public Comm getCommInstance()

Specified by:
  `getCommInstance` in class `AbstractHBCIPassport`
See Also:
  - `AbstractHBCIPassport.getCommInstance()`

### getProfileVersion

public String getProfileVersion()

See Also:
  - `HBCIPassportInternal.getProfileVersion()`

### setMyPrivateSigKey

public void setMyPrivateSigKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPrivateSigKey(org.kapott.hbci.manager.HBCIKey)`

### getMyPrivateSigKey

public HBCIKey getMyPrivateSigKey()

See Also:
  - `HBCIPassport.getMyPrivateSigKey()`

### getMyPublicSigKey

public HBCIKey getMyPublicSigKey()

See Also:
  - `HBCIPassport.getMyPublicSigKey()`

### getCryptAlg

public String getCryptAlg()

See Also:
  - `HBCIPassportInternal.getCryptAlg()`

### setMyPublicSigKey

public void setMyPublicSigKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPublicSigKey(org.kapott.hbci.manager.HBCIKey)`

### getMyEncKeyNum

public String getMyEncKeyNum()

See Also:
  - `HBCIPassportInternal.getMyEncKeyNum()`

### hasMyEncKey

public boolean hasMyEncKey()

See Also:
  - `HBCIPassport.hasMyEncKey()`

### hash

public byte[] hash(byte[] data)

See Also:
  - `HBCIPassportInternal.hash(byte[])`

### sign

public byte[] sign(byte[] data)

See Also:
  - `HBCIPassportInternal.sign(byte[])`

### getMyPrivateDigKey

public HBCIKey getMyPrivateDigKey()

See Also:
  - `HBCIPassport.getMyPrivateDigKey()`

### isSupported

public boolean isSupported()

See Also:
  - `HBCIPassport.isSupported()`

### hasMySigKey

public boolean hasMySigKey()

See Also:
  - `HBCIPassport.hasMySigKey()`

### resetPassphrase

public void resetPassphrase()

See Also:
  - `HBCIPassportInternal.resetPassphrase()`

### getMyEncKeyName

public String getMyEncKeyName()

See Also:
  - `HBCIPassportInternal.getMyEncKeyName()`

### getCryptFunction

public String getCryptFunction()

See Also:
  - `HBCIPassportInternal.getCryptFunction()`

### getInstSigKeyName

public String getInstSigKeyName()

See Also:
  - `HBCIPassportInternal.getInstSigKeyName()`

### setMyPrivateDigKey

public void setMyPrivateDigKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPrivateDigKey(org.kapott.hbci.manager.HBCIKey)`

### getMyPrivateEncKey

public HBCIKey getMyPrivateEncKey()

See Also:
  - `HBCIPassport.getMyPrivateEncKey()`

### setMyPublicEncKey

public void setMyPublicEncKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setMyPublicEncKey(org.kapott.hbci.manager.HBCIKey)`

### getInstEncKeyVersion

public String getInstEncKeyVersion()

See Also:
  - `HBCIPassportInternal.getInstEncKeyVersion()`

### getHashAlg

public String getHashAlg()

See Also:
  - `HBCIPassportInternal.getHashAlg()`

### decrypt

public byte[] decrypt(byte[] parm1, byte[] parm2)

See Also:
  - `HBCIPassportInternal.decrypt(byte[], byte[])`

### setInstEncKey

public void setInstEncKey(HBCIKey key)

See Also:
  - `HBCIPassportInternal.setInstEncKey(org.kapott.hbci.manager.HBCIKey)`

### hasInstEncKey

public boolean hasInstEncKey()

See Also:
  - `HBCIPassport.hasInstEncKey()`

### getInstSigKeyNum

public String getInstSigKeyNum()

See Also:
  - `HBCIPassportInternal.getInstSigKeyNum()`

### getInstSigKey

public HBCIKey getInstSigKey()

See Also:
  - `HBCIPassport.getInstSigKey()`

### verify

public boolean verify(byte[] parm1, byte[] parm2)

See Also:
  - `HBCIPassportInternal.verify(byte[], byte[])`

### getInstEncKeyName

public String getInstEncKeyName()

See Also:
  - `HBCIPassportInternal.getInstEncKeyName()`

### getInstEncKeyNum

public String getInstEncKeyNum()

See Also:
  - `HBCIPassportInternal.getInstEncKeyNum()`

### hasInstSigKey

public boolean hasInstSigKey()

See Also:
  - `HBCIPassport.hasInstSigKey()`

### getSysStatus

public String getSysStatus()

See Also:
  - `HBCIPassportInternal.getSysStatus()`

### getFileName

public String getFileName()
Liefert den Dateinamen.

Returns:
  der Dateiname.

### saveChanges

public void saveChanges()
Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

See Also:
  - `HBCIPassport.saveChanges()`

### isAnonymous

public boolean isAnonymous()

Specified by:
  `isAnonymous` in interface `HBCIPassportInternal`
Overrides:
  `isAnonymous` in class `AbstractHBCIPassport`
See Also:
  - `AbstractHBCIPassport.isAnonymous()`